Bug 108417 - FILEOPEN DOCX Some embedded Arabic fonts are substituted
Summary: FILEOPEN DOCX Some embedded Arabic fonts are substituted
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX Fonts-Embedded
  Show dependency treegraph
 
Reported: 2017-06-08 15:13 UTC by kavalec74
Modified: 2019-05-01 02:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
docx with embeded / incrusted fonts (32.97 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-06-08 15:13 UTC, kavalec74
Details
This is a screenshot of MS-Office (40.95 KB, image/jpeg)
2017-06-12 22:02 UTC, kavalec74
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kavalec74 2017-06-08 15:13:09 UTC
Created attachment 133917 [details]
docx with embeded / incrusted fonts

Some arabic fonts does not display. Check the attached file docx for comparison.
Comment 1 Buovjaga 2017-06-11 13:57:44 UTC
How should they look? Please attach screenshot of correct rendering.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the screenshot.
Comment 2 kavalec74 2017-06-12 22:02:08 UTC
Created attachment 133987 [details]
This is a screenshot of MS-Office

This is a screenshot from how it looks like in MS-Office´s Word.
Comment 3 Buovjaga 2017-06-15 16:10:41 UTC
Have you checked that the fonts allow embedding? You have some MS Office fonts in there. Maybe they do not allow it? Right-clicking the font file and Properties might give information.
Comment 4 kavalec74 2017-06-15 22:42:50 UTC
Yes, the fonts are embedded in the docx file. I checked it in another PC, where these fonts are not installed. Please check the docx yourself.
Comment 5 Buovjaga 2017-06-16 04:21:12 UTC
(In reply to kavalec74 from comment #4)
> Yes, the fonts are embedded in the docx file. I checked it in another PC,
> where these fonts are not installed. Please check the docx yourself.

That's not what I asked. Please check, if the font files allow embedding. Go to your fonts folder, find the files, right-click, properties, examine the data.
Comment 6 Buovjaga 2017-06-16 04:22:03 UTC
(In reply to Buovjaga from comment #5)
> (In reply to kavalec74 from comment #4)
> > Yes, the fonts are embedded in the docx file. I checked it in another PC,
> > where these fonts are not installed. Please check the docx yourself.
> 
> That's not what I asked. Please check, if the font files allow embedding. Go
> to your fonts folder, find the files, right-click, properties, examine the
> data.

I am asking, because LibreOffice displays some of them as substituted.
Comment 7 Buovjaga 2017-06-16 05:47:14 UTC
Well, I guess I was being a bit silly as the fonts really are in there (as can be seen by extracting the .docx as zip). Now I checked on Windows and Andalus can indeed be embedded (it says "Editable").

Earlier I tested on Linux and confirm all the fonts on Linux were substituted.

Win 7 Pro 64-bit Version: 6.0.0.0.alpha0+ (x64)
Build ID: a1ace08b5b86a76e7275dcef2545a7d52ae2ed2d
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-06-13_03:04:47
Locale: fi-FI (fi_FI); Calc: CL

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 8 QA Administrators 2019-05-01 02:45:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug